Package org.springframework.security.access.hierarchicalroles

# Class NullRoleHierarchy

java.lang.Object
org.springframework.security.access.hierarchicalroles.NullRoleHierarchy

All Implemented Interfaces:
  `RoleHierarchy`

public final class NullRoleHierarchy extends Object implements RoleHierarchy

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`NullRoleHierarchy()`

## Method Summary

Modifier and Type
Method
Description
`Collection<? extends GrantedAuthority>`
`getReachableGrantedAuthorities(Collection<? extends GrantedAuthority> authorities)`
Returns an array of all reachable authorities.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullRoleHierarchy

public NullRoleHierarchy()

## Method Details

### getReachableGrantedAuthorities

public Collection<? extends GrantedAuthority> getReachableGrantedAuthorities(Collection<? extends GrantedAuthority> authorities)
Description copied from interface: `RoleHierarchy`
Returns an array of all reachable authorities.

Reachable authorities are the directly assigned authorities plus all authorities that are (transitively) reachable from them in the role hierarchy.

Example:
Role hierarchy: ROLE_A > ROLE_B > ROLE_C.
Directly assigned authority: ROLE_A.
Reachable authorities: ROLE_A, ROLE_B, ROLE_C.

Specified by:
  `getReachableGrantedAuthorities` in interface `RoleHierarchy`
Parameters:
  `authorities` - - List of the directly assigned authorities.
Returns:
  List of all reachable authorities given the assigned authorities.